summaryrefslogtreecommitdiffstats
path: root/source/xap/sane
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/sane')
-rw-r--r--source/xap/sane/sane-backends-1.0.22-v4l.diff64
-rwxr-xr-xsource/xap/sane/sane.SlackBuild27
2 files changed, 14 insertions, 77 deletions
diff --git a/source/xap/sane/sane-backends-1.0.22-v4l.diff b/source/xap/sane/sane-backends-1.0.22-v4l.diff
deleted file mode 100644
index 4e240e0cf..000000000
--- a/source/xap/sane/sane-backends-1.0.22-v4l.diff
+++ /dev/null
@@ -1,64 +0,0 @@
-From 26c69b228b29f612faf4b0cc85db969ee7cc4ea6 Mon Sep 17 00:00:00 2001
-From: Nils Philippsen <nils@redhat.com>
-Date: Mon, 14 Mar 2011 13:35:05 +0100
-Subject: [PATCH] patch: v4l
-
-Squashed commit of the following:
-
-commit 23381932c76846191b42a48e505b37cd74711265
-Author: Julien BLACHE <jb@jblache.org>
-Date: Wed Feb 16 19:37:43 2011 +0100
-
- Fix v4l build with libv4l 0.8.3+
-
- (cherry picked from commit c5ca46c2d1be78c651afb843cc834cf2b5b24953)
-
- Conflicts:
-
- ChangeLog
-
- Signed-off-by: Nils Philippsen <nils@redhat.com>
----
- backend/v4l.c | 3 +--
- backend/v4l.h | 3 ++-
- 2 files changed, 3 insertions(+), 3 deletions(-)
-
-diff --git a/backend/v4l.c b/backend/v4l.c
-index 6510ef0..38595ed 100644
---- a/backend/v4l.c
-+++ b/backend/v4l.c
-@@ -84,9 +84,8 @@
- #include "../include/sane/sanei_config.h"
- #define V4L_CONFIG_FILE "v4l.conf"
-
--#include "v4l.h"
--
- #include <libv4l1.h>
-+#include "v4l.h"
-
- static const SANE_Device **devlist = NULL;
- static int num_devices;
-diff --git a/backend/v4l.h b/backend/v4l.h
-index 588b96e..6aee586 100644
---- a/backend/v4l.h
-+++ b/backend/v4l.h
-@@ -29,6 +29,7 @@
- #ifndef v4l_h
- #define v4l_h
-
-+#ifndef __LINUX_VIDEODEV_H
- /* Kernel interface */
- /* Only the stuff we need. For more features, more defines are needed */
-
-@@ -165,7 +166,7 @@ struct video_channel
-
-
- /* end of kernel interface */
--
-+#endif /* !__LINUX_VIDEODEV_H */
-
- #include <../include/sane/sane.h>
-
---
-1.7.4
-
diff --git a/source/xap/sane/sane.SlackBuild b/source/xap/sane/sane.SlackBuild
index be9dd725d..39b0dfa25 100755
--- a/source/xap/sane/sane.SlackBuild
+++ b/source/xap/sane/sane.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010, 2011, 2012 Patrick Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2013 Patrick Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,10 +20,10 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=1.0.22
-BACKVER=1.0.22
+VERSION=1.0.24
+BACKVER=1.0.24
FRONTVER=1.0.14
-BUILD=${BUILD:-5}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -61,7 +61,7 @@ mkdir -p $TMP $PKG
# First, we'll build the backends
cd $TMP
rm -rf sane-backends-$BACKVER
-tar xvf $CWD/sane-backends-$BACKVER.tar.bz2 || exit 1
+tar xvf $CWD/sane-backends-$BACKVER.tar.xz || exit 1
cd sane-backends-$BACKVER
chown -R root:root .
@@ -69,9 +69,6 @@ chown -R root:root .
# everything else catches up with the API change...
zcat $CWD/sane-frontends-1.0.14-sane_cap_always_settable.diff.gz | patch -p1 || exit 1
-# Fix building against v4l-utils-0.8.3:
-zcat $CWD/sane-backends-1.0.22-v4l.diff.gz | patch -p1 --verbose || exit 1
-
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
@@ -93,16 +90,20 @@ make install DESTDIR=$PKG || exit 1
# Add the default udev rules. Use group "lp" rather than "scanner" to avoid
# breaking CUPS access for multifunction printer/scanner devices (possibly
# the most common type of scanner these days)
+#
+# Use ACTION!="add|change" to avoid skipping these rules if coming from an
+# initrd where udev was started.
mkdir -p $PKG/lib/udev/rules.d
cat tools/udev/libsane.rules \
| sed -e "s/GROUP=\"scanner\"/GROUP=\"lp\"/g" \
| sed -e "s/MODE=\"0664\"/MODE=\"0660\"/g" \
+ | sed -e "s/ACTION!=\"add\"/ACTION!=\"add|change\"/g" \
> $PKG/lib/udev/rules.d/80-libsane.rules
-# Add the hal fdi file:
-mkdir -p $PKG/usr/share/hal/fdi/policy/10osvendor/
-cat tools/hal/libsane.fdi \
- > $PKG/usr/share/hal/fdi/policy/10osvendor/10-libsane.fdi
+## Add the hal fdi file:
+#mkdir -p $PKG/usr/share/hal/fdi/policy/10osvendor/
+#cat tools/hal/libsane.fdi \
+# > $PKG/usr/share/hal/fdi/policy/10osvendor/10-libsane.fdi
# Install the pkgconfig file:
install -D -m644 tools/sane-backends.pc \
@@ -111,7 +112,7 @@ install -D -m644 tools/sane-backends.pc \
# Now let's build the frontends:
cd $TMP
rm -rf sane-frontends-$FRONTVER
-tar xvf $CWD/sane-frontends-$FRONTVER.tar.bz2 || exit 1
+tar xvf $CWD/sane-frontends-$FRONTVER.tar.xz || exit 1
cd sane-frontends-$FRONTVER
chown -R root:root .